Package org.apache.sling.commons.metrics.rrd4j.impl

## Class CodahaleMetricsReporter

- java.lang.Object
- - org.apache.sling.commons.metrics.rrd4j.impl.CodahaleMetricsReporter

All Implemented Interfaces:
  `org.apache.felix.inventory.InventoryPrinter`, `org.apache.felix.inventory.ZipAttachmentProvider`

    public class CodahaleMetricsReporter
    extends Object
    implements org.apache.felix.inventory.InventoryPrinter, org.apache.felix.inventory.ZipAttachmentProvider

### Nested Class Summary

Nested Classes
`static interface` `CodahaleMetricsReporter.Configuration`

### Field Summary

### Fields inherited from interface org.apache.felix.inventory.InventoryPrinter

`FORMAT, NAME, SERVICE, TITLE, WEBCONSOLE`

### Constructor Summary

Constructors
`CodahaleMetricsReporter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAttachments​(ZipOutputStream zos, String namePrefix)`
`void` `print​(PrintWriter pw, org.apache.felix.inventory.Format format, boolean isZip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CodahaleMetricsReporter

    public CodahaleMetricsReporter()

### Method Detail

#### print

    public void print​(PrintWriter pw,
                      org.apache.felix.inventory.Format format,
                      boolean isZip)

Specified by:
  `print` in interface `org.apache.felix.inventory.InventoryPrinter`

#### addAttachments

    public void addAttachments​(ZipOutputStream zos,
                               String namePrefix)
                        throws IOException

Specified by:
  `addAttachments` in interface `org.apache.felix.inventory.ZipAttachmentProvider`
Throws:
  `IOException`